Bug 519782 - [QLogic 5.5 bug] qla2xxx - allow use of MSI when MSI-X disabled. [rhel-5.4.z]
Summary: [QLogic 5.5 bug] qla2xxx - allow use of MSI when MSI-X disabled. [rhel-5.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 517922
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 19:13 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:17 UTC (History)
17 users (show)

Fixed In Version: kernel-2.6.18-164.1.1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-29 19:33:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1455 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2009-09-29 19:33:31 UTC

Description RHEL Product and Program Management 2009-08-27 19:13:29 UTC
This bug has been copied from bug #517922 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 3 Jiri Pirko 2009-09-08 11:10:20 UTC
in kernel-2.6.18-164.1.1.el5

Comment 6 IBM Bug Proxy 2009-09-18 18:50:43 UTC
------- Comment From kumarr@linux.ibm.com 2009-09-18 14:44 EDT-------
Reverse mirroring RHBZ 519782 to IBM side per RIchard Lary

Comment 7 Richard A Lary 2009-09-18 19:17:47 UTC
Verified this patch now allows selection of MSI or MSI-X interrupts.  It was also expected that the patch would make MSI-X interrupts the default to satisfy reqirement in comment 3 bug #517922.

QLogic will address requirement for MSI-X as default interrupt type in a new bugzilla.

Comment 10 errata-xmlrpc 2009-09-29 19:33:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1455.html


Note You need to log in before you can comment on or make changes to this bug.